# nvme-cmdset-ind-id-ns(1) Manual Page

## NAME

nvme-cmdset-ind-id-ns - Send NVMe I/O Command Set Independent Identify Namespace, return result and structure.

## SYNOPSIS

    nvme cmdset-ind-id-ns <device> [--namespace-id=<nsid> | -n <nsid>]
                            [--raw-binary | -b] [--human-readable | -H]
                            [--output-format=<fmt> | -o <fmt>] [--verbose | -v]

## DESCRIPTION

For the NVMe device given, sends an I/O Command Set Independent identify namespace command and provides the result and returned structure.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1). If the character device is given, the `'--namespace-id'` option is mandatory, otherwise it will use the ns-id of the namespace for the block device you opened. For block devices, the ns-id used can be overridden with the same option.

On success, the structure may be returned in one of several ways depending on the option flags; the structure may be parsed by the program or the raw buffer may be printed to stdout.

## OPTIONS

-n <nsid>
--namespace-id=<nsid>

  Retrieve the identify namespace structure for the given nsid. This is required for the character devices, or overrides the block nsid if given.

-b
--raw-binary

  Print the raw buffer to stdout. Structure is not parsed by program. This overrides the vendor specific and human readable options.

-H
--human-readable

  This option will parse and format many of the bit fields into human-readable formats.

-o <fmt>
--output-format=<fmt>

  Set the reporting format to normal, json or binary. Only one output format can be used at a time.

-v
--verbose

  Increase the information detail in the output.

## EXAMPLES

- Has the program interpret the returned buffer and display the known fields in a human readable format:

      # nvme cmdset-ind-id-ns /dev/nvme0n1

- If using the character device or overriding namespace id:

      # nvme cmdset-ind-id-ns /dev/nvme0 -n 1
      # nvme cmdset-ind-id-ns /dev/nvme0n1 -n 1
      # nvme cmdset-ind-id-ns /dev/nvme0 --namespace-id=1

- Have the program return the raw structure in binary:

      # nvme cmdset-ind-id-ns /dev/nvme0n1 --raw-binary > id_ns.raw
      # nvme cmdset-ind-id-ns /dev/nvme0n1 -b > id_ns.raw

  It is probably a bad idea to not redirect stdout when using this mode.

## NVME

Part of the nvme-user suite